#include <p18f4550.h>

#define LCD_DEFAULT

#include <LCD_44780.h>
#include <LCD_44780.c>

#include <delay.h>
#include <delay.c>

#include "init.h"
#include "buzzer.h"
#include "led_string.h"
#include "LCD.h"
#include "buttons.h"


#pragma config FOSC = HS 	
#pragma config WDT = OFF 	
#pragma config LVP = OFF 	
#pragma config PBADEN = OFF 

//FOSC = HS  	Impostato per lavorare ad alta frequenza
//WDT = OFF	Disabilito il watchdog timer
//LVP = OFF 	Disabilito programmazione LVP
//PBADEN = OFF Disabilito gli ingressi analogici

void main (void){

	init ();
	
	beep_test ();

	led_test ();

	LCD_backlight_test ();
	LCD_hello_test ();

	button_test ();

	delay_ms (1000);

	// Write Results
	ClearLCD ();

	WriteStringLCD ("  SYSTEM TEST");
	GotoLineLCD (2);
        WriteStringLCD ("   COMPLETED");

 	while(1){	
 		
	}
}